<?xml version="1.0" encoding="euc-kr" ?>

<tle>
	<default-ui-creator>
		<view-set id="web" 
		          auth-form-view="loginForm"
		          no-auth-view="noGrant"
		          error-view="error" >
			<view id="template" page="/view/web/template/template.jsp" />
			<view id="base" parent="template">
				<subpage name="header" page="/view/web/template/header.jsp" />
				<subpage name="footer" page="/view/web/template/footer.jsp" />
			</view>
			
			<view id="greeting" parent="base">
				<subpage name="content" page="/view/web/greeting.jsp" />
			</view>
			
			<view id="error" parent="base">
				<subpage name="content" page="/view/web/error.jsp" />
			</view>
			
			<view id="noGrant" parent="base">
				<subpage name="content" page="/view/web/noGrant.jsp" />
			</view>

			<view id="loginSuccess" parent="base">
				<subpage name="content" page="/view/web/loginSuccess.jsp" />
			</view>
			
			<view id="logoutSuccess" parent="base">
				<subpage name="content" page="/view/web/logoutSuccess.jsp" />
			</view>
			<view id="loginForm" page="/view/web/loginForm.jsp" />
			<view id="adminFront" parent="base">
				<subpage name="content" page="/view/web/adminFront.jsp" />
			</view>
			<view id="registForm" parent="base">
				<subpage name="content" page="/view/web/registForm.jsp" />
			</view>
			<view id="registResult" parent="base">
				<subpage name="content" page="/view/web/registResult.jsp" />
			</view>
			<view id="uploadFileForm" parent="base">
				<subpage name="content" page="/view/web/uploadFileForm.jsp" />
			</view>
			<view id="uploadFileResult" parent="base">
				<subpage name="content" page="/view/web/uploadFileResult.jsp" />
			</view>
			<view id="invalidRequest" parent="base">
				<subpage name="content" page="/view/web/invalidRequest.jsp" />
			</view>
			
			<view id="moveTLE" page="http://tle.madvirus.net" redirect="true" />
		</view-set>

		<view-set id="pda" 
		          auth-form-view="loginForm"
		          no-auth-view="noGrant"
		          error-view="error" >
			<load-view-list file="{context.path}/WEB-INF/config/DefaultUICreator.view.pda.xml" />
		</view-set>

		<global-result-mapping prefix="global.">
			<result code="notpost" view="web:invalidRequest" />
		</global-result-mapping>

		<command-view-mapping>
			<load-command-mapping file="{context.path}/WEB-INF/config/DefaultUICreator.cm.login.xml" />
			
			<command id="/greeting.do" view="greeting" />
			<command id="/admin/view.do" view="adminFront" />
			<command id="/uploadFileForm.do" view="uploadFileForm" />
			<command id="/uploadFile.do" view="uploadFileResult" />
			<command id="/move/tle.do" view="web:moveTLE" />
		</command-view-mapping>
		
		<client-view-set default-view-set="web">
			<client type="MSIE" view-set="web" />
			<client type="NETSCAPE" view-set="web" />
			<client type="MSIE_CE_PPC" view-set="pda" />
			<client type="MSIE_CE_PPC_240X320" view-set="pda" />
		</client-view-set>
		
	</default-ui-creator>
</tle>